public class AccessTest4 extends AccessTest1 {

	public static void main(String[] args) {
	}

	// 他ファイル・サブクラスからのアクセステスト
	AccessTest4() {
		this.publicValue = 1;
		this.protectedValue = 2;
		// this.normalValue = 3;   ← アクセスできない
		// this.privateValue = 4;  ← アクセスできない
	}
}

class AccessTest5 {
	// 他ファイル・他クラスからのアクセステスト
	AccessTest5() {
		AccessTest1 o = new AccessTest1();
		o.publicValue = 1;
		// o.protectedValue = 2;  ← アクセスできない
		// o.normalValue = 3;     ← アクセスできない
		// o.privateValue = 4;    ← アクセスできない
	}
}
